<!--
-- index.vue, emilien <emilien@emilien-pc>, 2021
-->

<template>
	<div class="ui-contain-homepage gray-1100 bg vh-100 grid">
		<div class="ui-header gray-900 bg p-5rv">
			<div id="param_logo">
				<RouterLink to="/parameter">
					<img id="menu" src="../../../src/assets/menu_logo.png" alt="menu_logo" />
				</RouterLink>
			</div>
			<p class="label fg gray-600">Aujourd'hui</p>
			<h3>{{ dayTot }}</h3>
		</div>
		<div class="vw-100 p-5rv flex center-justify scroll-y-auto">
			<List>
				<div
					v-for="(date, idx) in dates.slice(0, curIndex)"
					:key="+date"
					class="ui-show-contents"
				>
					<ListDate :date="date" />
					<ListElem v-for="app in apps(date)" :key="+app.date" :app="app" />

					<div
						v-if="(idx + 1) === curIndex"
						v-infinite-scroll="loadMore"
						infinite-scroll-disabled="loading"
						:infinite-scroll-distance="itemPerLoading"
					/>
				</div>
			</List>
		</div>
		<PermissionPopup />
	</div>
</template>

<!--
-->

<script>
import ListDate from '@/components/App/ListDate';
import PermissionPopup from '@/components/PermissionPopup';
import List from '@/components/App/List';
import ListElem from '@/components/App/ListElem';
import { format_time } from '@/utils/time';

export default {
	name: 'Homepage',
	components: { ListDate, ListElem, List, PermissionPopup },
	data: () => ({
		loading: false, curIndex: 1, itemPerLoading: 1
	}),
	computed: {
		dates() { return this.$store.getters['appUsage/dates']; },
		dayTot() { return format_time(this.$store.getters['appUsage/dayTot'](new Date())); }
	},
	methods: {
		apps(date) { return this.$store.getters['appUsage/monitoringDate'](date); },
		loadMore() {
			this.loading = true;
			this.curIndex++;
			this.loading = false;
		}
	},
};
</script>

<style lang="scss" scoped>

.ui-homepage-root {
// TODO: what happened there ???
/*background-color: var(--c)*/
}

.ui-header {
$border-radius: 1.5rem;
border-bottom-left-radius: $border-radius;
border-bottom-right-radius: $border-radius;
}

.ui-show-contents {
display: contents;
}

.ui-contain-homepage {
grid-template-rows: auto 1fr;
}

#param_logo{
  position: absolute;
  top:30px;
  right: 30px;
  padding: 10px;
}

#menu{
  width: 40px;
  height: auto;
}
</style>
